### Function

# Phosh util_remove_from_strv

#### Declaration [src]

    GStrv
    phosh_util_remove_from_strv (
      GStrv array,
      const char* element
    )

#### Description [src]

Remove all elements from a string array that match `element`.

#### Parameters

`array`

  Type: An array of `utf8`

  A `NULL` terminated array of strings.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`element`

  Type: `const char*`

  The string to remove.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A new `NULL` terminated array with the element removed from it.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.